Bug 74329 - Put help TextView inside a GtkViewport
Put help TextView inside a GtkViewport
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-20 12:17 EDT by Brent Fox
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-20 12:17:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Fox 2002-09-20 12:17:29 EDT
Put help TextView inside a GtkViewport so the shading can be set correctly.

Index: gui.py
===================================================================
RCS file: /mnt/devel/CVS/anaconda/gui.py,v
retrieving revision 1.322
diff -u -r1.322 gui.py
--- gui.py      20 Sep 2002 16:03:51 -0000      1.322
+++ gui.py      20 Sep 2002 16:16:13 -0000
@@ -1088,7 +1088,10 @@
         vbox.pack_end (self.hbox, gtk.FALSE)

         self.help = TextViewBrowser()
-
+        self.help_viewport = gtk.Viewport()
+        self.help_viewport.set_shadow_type(gtk.SHADOW_IN)
+        self.help_viewport.add(self.help)
+
         self.displayHelp = gtk.TRUE
         self.helpState = gtk.TRUE

@@ -1098,7 +1101,7 @@

         self.help_sw = gtk.ScrolledWindow()
         self.help_sw.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        self.help_sw.add(self.help)
+        self.help_sw.add(self.help_viewport)
         self.box.pack_start(self.help_sw, gtk.TRUE)

         self.helpFrame.add (self.box)
Comment 1 Brent Fox 2002-09-20 12:18:25 EDT
Fixed in cvs.

Note You need to log in before you can comment on or make changes to this bug.